Bug 42003 - Ctrl W and Ctrl Q don't work in Font Name, Font Size, or Apply Style combo boxes
Summary: Ctrl W and Ctrl Q don't work in Font Name, Font Size, or Apply Style combo boxes
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.4.3 release
Hardware: All Linux (All)
: lowest trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Styles-Management Fonts-Name-Combobox Fonts-Size-Combobox
  Show dependency treegraph
 
Reported: 2011-10-19 11:05 UTC by Matthew Paul Thomas
Modified: 2020-09-22 17:08 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Paul Thomas 2011-10-19 11:05:33 UTC
LibreOffice 3.4.3 OOO340m1 (Build:302) (libreoffice 1:3.4.3-3ubuntu2), Ubuntu 11.10

1. In a Writer document or Calc spreadsheet, open the "File" menu.
2. Close the "File" menu, and focus the text field part of the Font Name or Font Size combo boxes in the Formatting toolbar.
3. Type Ctrl W or Ctrl Q.
4. Click in the document.
5. Type Ctrl W or Ctrl Q.

What happens:
1. The menu contains a "Close" command with a Ctrl W keyboard equivalent, and an "Exit" command with a Ctrl Q keyboard equivalent.
3. The document does not close, and the application does not exit.
5. The document does close or the application exits.

What should happen:
3. The document does close or the application exits.

This bug does not happen with all combo boxes. For example, it does not happen with the Name Box in Calc's Formatting toolbar. But it does happen with the Apply Style box for an HTML document.
Comment 1 Björn Michaelsen 2012-06-01 14:32:50 UTC
possibly fixed with:
https://bugs.freedesktop.org/show_bug.cgi?id=48096
on upstream master
Comment 2 retired 2014-11-16 08:58:51 UTC
Ubuntu 14.10 LO Version: 4.3.3.2
Build ID: 430m0(Build:2)

Still happening. Not fixed.
Comment 3 QA Administrators 2015-12-20 16:09:22 UTC Comment hidden (obsolete)
Comment 4 pietro.pangallo 2016-06-29 07:34:35 UTC
Confirmed in:
Version: 5.3.0.0.alpha0+
Build ID: 29e91d5eedd2bf20504ce9ada625d33fec19dc9e
CPU Threads: 2; OS Version: Linux 4.1; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-06-16_23:05:06
Locale: it-IT (it_IT.UTF-8)
Comment 5 QA Administrators 2017-09-01 11:15:57 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.4.1 or 5.3.6  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170901